* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
a:focus-visible {
  outline: none;
}

.page-mobile-index {
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.hover-opaticy:hover,
.hover-opaticy:active {
  opacity: 0.8;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul,
ol {
  list-style: none;
}

a {
  text-decoration: none;
  cursor: pointer;
  color: #000;
}
img {
  max-width: 100vw;
  display: block;
}

input,
button,
textarea,
select {
  font: inherit;
  outline: none;
  border: none;
  background: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

html {
  font-size: 16px;
  -webkit-text-size-adjust: 100%;
}

/* ======== 常用工具类 ======== */
.hidden {
  display: none !important;
}

.clearfix::after {
  content: "";
  display: block;
  clear: both;
}

button {
  cursor: pointer;
}

.memberUpgradeDetection {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  img {
    width: 76px;
    height: 64px;
  }
  .memberUpgradeDetection-tip {
    color: #333333;
    font-size: 20px;
    font-weight: 600;
    line-height: 28px;
    span {
      color: #ff0000;
    }
  }
  .memberUpgradeDetection-desc {
    padding: 8px 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: #855c36;
    font-size: 14px;
    font-weight: 400;
    background-color: #fcf5ef;
    border-radius: 8px;
    width: 100%;
    height: 86px;
    div {
      span {
        font-weight: 600;
      }
    }
    .price {
      color: #ff0000;
      font-size: 16px;
      font-weight: 500;
    }
  }
  .memberUpgradeDetection-btns {
    display: flex;
    flex-direction: column;
    gap: 4px;
    width: 100%;
    .memberUpgradeDetection-submit {
      height: 44px;
      width: 100%;
      border-radius: 10px;
      background-color: #ea8101;
      color: #fff;
      font-size: 15px;
      line-height: 22px;
      font-weight: 500;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .memberUpgradeDetection-cancel {
      height: 44px;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      color: #53565a;
      font-size: 15px;
      line-height: 22px;
    }
  }
}
